Bug 319391

Summary: /var/tmp/host_0 is created with the wrong context
Product: [Fedora] Fedora Reporter: Kostas Georgiou <k.georgiou>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 7CC: dwalsh, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 22:34:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 428355    

Description Kostas Georgiou 2007-10-04 18:48:17 EDT
sshd creates /var/tmp/host_0 with the following context at startup (I guess it's
the first kerberized service in rc)

# ls -Z /var/tmp/host_0
-rw-------  root root system_u:object_r:sshd_tmp_t:s0  /var/tmp/host_0

This unfortunately prevents other programs from accessing the ticket cache, for
example my cyrus server generates this:

type=AVC msg=audit(1191536511.682:55356): avc:  denied  { getattr } for 
pid=2415 comm="saslauthd" name="host_0" dev=dm-4 ino=131079
tcontext=system_u:object_r:sshd_tmp_t:s0 tclass=file
type=SYSCALL msg=audit(1191536511.682:55356): arch=c000003e syscall=4 success=no
exit=-13 a0=815bd0 a1=7fff0c929370 a2=7fff0c929370 a3=338c54c9d0 items=0
ppid=2414 pid=2415 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0
sgid=0 fsgid=0 tty=(none) comm="saslauthd" exe="/usr/sbin/saslauthd"
subj=system_u:system_r:saslauthd_t:s0 key=(null)
type=AVC_PATH msg=audit(1191536511.682:55356):  path="/var/tmp/host_0"

A restorecon returns the file to the right context as expected
# restorecon -v - /var/tmp/host_0
restorecon reset /var/tmp/host_0 context

If I remove the file and connect with imap first the file gets the
system_u:object_r:saslauthd_tmp_t:s0 context, I suspect the same will happen
with nfs4 etc. The file needs to be created with the "right" context regardless
of the context of the process that creates it but I have no idea at all how it
can be done.
Comment 1 Nalin Dahyabhai 2007-10-05 10:10:41 EDT
There's a patch in Raw Hide to do this, but I'm beginning to think that it needs
some reworking because it depends on preprocessor tricks that might not work
correctly going forward.  Leaving open until I fix that, someone beats me to it,
or it gets backported to F7.
Comment 2 Bug Zapper 2008-05-14 10:37:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:34:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.